package de.ozgcloud.eingang.xta.zip;

import java.io.IOException;
import java.io.InputStream;
import java.util.zip.ZipEntry;
import java.util.zip.ZipFile;

import lombok.Builder;

@Builder
record ReadableZipEntry(ZipEntry zipEntry, ZipFile parentZip) {
	public InputStream getInputStream() throws IOException {
		return parentZip.getInputStream(zipEntry);
	}

	public Long getSize() {
		return zipEntry.getSize();
	}

	public String getName() {
		return zipEntry.getName();
	}
}
