package de.ozgcloud.eingang.xta.zip;

import java.io.File;
import java.io.FileOutputStream;
import java.io.IOException;
import java.util.List;
import java.util.zip.ZipEntry;
import java.util.zip.ZipOutputStream;

import de.ozgcloud.common.binaryfile.TempFileUtils;
import lombok.Builder;
import lombok.Getter;

public class TestZipFileFactory {

	@Builder
	@Getter
	public static class TestZipEntry {
		private String name;
		private byte[] content;
	}

	public static File createTempZipFile(List<TestZipEntry> testZipEntries) {
		var file = TempFileUtils.createTmpFile().toFile();
		try (var zipOutputStream = new ZipOutputStream(new FileOutputStream(file))) {
			for (TestZipEntry entry : testZipEntries) {
				zipOutputStream.putNextEntry(new ZipEntry(entry.getName()));
				zipOutputStream.write(entry.getContent());
				zipOutputStream.closeEntry();
			}
			return file;
		} catch (IOException e) {
			throw new RuntimeException("Failed to create temporary zip file", e);
		}
	}
}
